Форум Flasher.ru
Ближайшие курсы в Школе RealTime
Список интенсивных курсов: [см.]  
  
Специальные предложения: [см.]  
  
 
Регистрация Блоги Правила Справка Пользователи Календарь Поиск рулит! Сообщения за день Все разделы прочитаны
 

Вернуться   Форум Flasher.ru > Flash > Flash Приложения: AIR, Zinc и тд.

Версия для печати  Отправить по электронной почте    « Предыдущая тема | Следующая тема »  
Опции темы Опции просмотра
 
Создать новую тему Ответ
Старый 01.02.2018, 01:33
in4core вне форума Посмотреть профиль Отправить личное сообщение для in4core Найти все сообщения от in4core
  № 1  
Ответить с цитированием
in4core
[+4 06.05.14]
 
Аватар для in4core

Регистрация: Mar 2009
Сообщений: 4,219
Записей в блоге: 14
По умолчанию Новый эир, пересборка + публикация

Имеем приложение в google play, соответственно есть сертификат с котороым собирается приложение и обновляется. Возник следующий вопрос : вышел air 28 допустим, я хочу собрать приложение с ним.
Выставляю все настройки path, app.xml и прочее на новую версию и т.п. Пробую собрать - ошибка, verify app.xml
Из всего этого делаю вывод, что нужно собирать новый сертификат, если хочу сделать ап версии и пользоваться новыми эир фичами. Это так или я чет не понимаю и можно собирать со старым сертификатом?
__________________
Марк Tween

Старый 01.02.2018, 10:58
Zebestov вне форума Посмотреть профиль Отправить личное сообщение для Zebestov Посетить домашнюю страницу Zebestov Найти все сообщения от Zebestov
  № 2  
Ответить с цитированием
Zebestov
Lorem ipsum
 
Аватар для Zebestov

модератор форума
Регистрация: May 2001
Адрес: Одесса
Сообщений: 4,869
Записей в блоге: 4
Сертификат должен быть один и тот же. Проблема (насколько мне известно) может быть в 1024-битном сертификате, который Google Play когда-то грозился перестать поддерживать. Если же сертификат 2048-битный, то очевидно дело точно не в нем.
__________________
Поймай яблоко 2!

Старый 01.02.2018, 12:16
in4core вне форума Посмотреть профиль Отправить личное сообщение для in4core Найти все сообщения от in4core
  № 3  
Ответить с цитированием
in4core
[+4 06.05.14]
 
Аватар для in4core

Регистрация: Mar 2009
Сообщений: 4,219
Записей в блоге: 14
Zebestov - я говорю не про публикацию, а про КОМПИЛ, на этапе package to APK выбрасывает ошибку, что версия ЭИР не совпадает с версией в app.xml при этом в setup.bat указан верный SDK, в app.xml аналогично указано верно. Не собирается приложение хоть убей. Делаю даунгрейдверсии, когда собирался сертификат - все ок.
__________________
Марк Tween

Старый 01.02.2018, 13:27
caseyryan вне форума Посмотреть профиль Отправить личное сообщение для caseyryan Найти все сообщения от caseyryan
  № 4  
Ответить с цитированием
caseyryan
 
Аватар для caseyryan

Регистрация: Jun 2012
Адрес: Новосибирск
Сообщений: 6,642
Записей в блоге: 4
С новым сертификатом ты старое приложение уже не обновишь. В этом и смысл сертификата.
На счет твоего вопроса, могу сказать со 100% уверенностью, обновлять AIR можно.
Покажи полный текст ошибки. И поподробнее расскажи что делал с проектом для обнолвения версии AIR
__________________
Ко мне можно и нужно обращаться на ты)

Старый 01.02.2018, 13:58
Zebestov вне форума Посмотреть профиль Отправить личное сообщение для Zebestov Посетить домашнюю страницу Zebestov Найти все сообщения от Zebestov
  № 5  
Ответить с цитированием
Zebestov
Lorem ipsum
 
Аватар для Zebestov

модератор форума
Регистрация: May 2001
Адрес: Одесса
Сообщений: 4,869
Записей в блоге: 4
Ну очевидно где-то таки зависла старая версия AIR. IDE иногда страдают кэшами. Ребутнись штоле!
__________________
Поймай яблоко 2!

Старый 01.02.2018, 23:23
in4core вне форума Посмотреть профиль Отправить личное сообщение для in4core Найти все сообщения от in4core
  № 6  
Ответить с цитированием
in4core
[+4 06.05.14]
 
Аватар для in4core

Регистрация: Mar 2009
Сообщений: 4,219
Записей в блоге: 14
И так :
1) зашел в install - установил новый flexSDK + AIR, AIR, FLash Player
2) в настройках проекта выбрал верный флексСДК, в application.xml аналогично вписал верный. Зашел в setup.bat - проверил путь, все верно.
3) пробую собрать - ошибка, полный текст будет такой
dx tool failed
verify SDK version in application.xml ( я так поимаю это стандратная фраза, а ошибка то что выше)
( п.с. кстати в самом флешДевелопе поля про новую версию не появляются, это старый добрый баг и требует новой версии программы)
4) Устанавливаю программу снова, в самом фд появляются новые версии, соответсвенно выбираю их, в настройках все оставляю как положено - ошибка п3 - остается.
__________________
Марк Tween

Старый 02.02.2018, 06:25
caseyryan вне форума Посмотреть профиль Отправить личное сообщение для caseyryan Найти все сообщения от caseyryan
  № 7  
Ответить с цитированием
caseyryan
 
Аватар для caseyryan

Регистрация: Jun 2012
Адрес: Новосибирск
Сообщений: 6,642
Записей в блоге: 4
Раз уже dx tool это джава прога, убедись, что у тебя установлена нужная версия джавы.
Хоть FD и работает с новыми версиями джавы, но у меня на них почему-то часто отваливается отладчик. Поэтому я всегда ставлю для FD проверенную версию 1.6 32-битную. Она 100% работает без багов.
Установи эту версию, и чтобы не париться каждый раз при переустановке JRE с FD, просто добавь в папку с ТВОЙ_ПУТЬ_К_ЭЙР\bin файлик jvm.config со следующим содержимым
Цитата:
java.home=C:\Program Files (x86)\Java\jre1.6.0_05
java.args=-Xmx1024m -Dsun.io.useCanonCaches=false

env=
java.class.path=
java.library.path=
По сути, тебе тут надо только в первой строке заменить путь на твой к установленной версии 1.6
Так FD всегда будет находить именно эту версию джавы, независимо от того, какая у тебя установлена в системе
__________________
Ко мне можно и нужно обращаться на ты)

Старый 02.02.2018, 13:20
in4core вне форума Посмотреть профиль Отправить личное сообщение для in4core Найти все сообщения от in4core
  № 8  
Ответить с цитированием
in4core
[+4 06.05.14]
 
Аватар для in4core

Регистрация: Mar 2009
Сообщений: 4,219
Записей в блоге: 14
Спасибо Костя я попробую
__________________
Марк Tween

Создать новую тему Ответ Часовой пояс GMT +4, время: 21:06.
Быстрый переход
  « Предыдущая тема | Следующая тема »  
Опции темы
Опции просмотра

Ваши права в разделе
Вы не можете создавать новые темы
Вы не можете отвечать в темах
Вы не можете прикреплять вложения
Вы не можете редактировать свои сообщения

BB коды Вкл.
Смайлы Вкл.
[IMG] код Вкл.
HTML код Выкл.


 


Часовой пояс GMT +4, время: 21:06.


Copyright © 1999-2008 Flasher.ru. All rights reserved.
Работает на vBulletin®. Copyright ©2000 - 2020, Jelsoft Enterprises Ltd. Перевод: zCarot
Администрация сайта не несёт ответственности за любую предоставленную посетителями информацию. Подробнее см. Правила.